Subject: guile-build-system does not recognise and pass on #:tests?

From: Maxime Devos <[email-masked]>
Date: Thu, 6 Oct 2022 18:14:19 +0200

See Subject.

Not doing so would be reasonable, as there is no check phase anyway, 
however, packages using guile-build-system can define their own check 
phase that should respect #:tests?, but currently they can't, as 
#:tests? is always unset and hence (when tests? ...) is never run.
(I would give an example, but it's not in Guix yet.)

Patch to be written.

Greetings,
Maxime.